sequence.sequence

## Class RealSortableSequenceFactory

- java.lang.Object
- - sequence.sequence.RealSortableSequenceFactory

- All Implemented Interfaces:
    SortableSequenceFactory

      public class RealSortableSequenceFactory
      extends java.lang.Object
      implements SortableSequenceFactory

  Továrna na seřaditelné posloupnosti.

  Užití: instance této třídy lze používat v aplikacích

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private SortableListFactory` | `listFactory` Továrna na seřaditelné seznamy.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealSortableSequenceFactory(SortableListFactory aListFactory)` Vyrobí továrnu na seřaditelné posloupnosti.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortableSequence` | `createSortableSequence(int size)` Vyrobí seřaditelnou posloupnost.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listFactory

          private SortableListFactory listFactory

      Továrna na seřaditelné seznamy. Seznam slouží jako úložiště, zapouzdří se do posloupnosti

  - ### Constructor Detail

    - #### RealSortableSequenceFactory

          public RealSortableSequenceFactory(SortableListFactory aListFactory)

      Vyrobí továrnu na seřaditelné posloupnosti.
      Parameters:
        `aListFactory` - továrna na seznamy

  - ### Method Detail

    - #### createSortableSequence

          public SortableSequence createSortableSequence(int size)

      Description copied from interface: `SortableSequenceFactory`
      Vyrobí seřaditelnou posloupnost.
      Specified by:
        `createSortableSequence` in interface `SortableSequenceFactory`
      Parameters:
        `size` - požadovaná kapacita posloupnosti
      Returns:
        nová seřaditelná posloupnost